<?xml version="1.0"?>
  <database name="FUNCTION OBTVB_COPY_TRANSITORY_ACCT">
    <function name="OBTVB_COPY_TRANSITORY_ACCT" type="NULL">
      <parameter name="p_pinstance_id" type="VARCHAR" mode="in">
        <default/>
      </parameter>
      <body><![CDATA[TYPE RECORD IS REF CURSOR;
    Cur_Acct RECORD;
    v_AD_Client_ID VARCHAR2(32);
    v_C_AcctSchema_ID VARCHAR2(32);
    
BEGIN

  SELECT i.p_string INTO v_AD_Client_ID
		FROM AD_EP_INSTANCE_PARA i 
		WHERE ad_ep_instance_id=p_pinstance_id and parametername='AD_Client_ID';
  SELECT i.p_string INTO v_C_AcctSchema_ID
		FROM AD_EP_INSTANCE_PARA i 
		WHERE ad_ep_instance_id=p_pinstance_id and parametername='C_AcctSchema_ID';  

   FOR Cur_Acct IN
      (SELECT * FROM C_AcctSchema_Default WHERE AD_Client_ID=v_AD_Client_ID
      AND (C_AcctSchema_ID = v_C_AcctSchema_ID OR v_C_AcctSchema_ID IS NULL))
    LOOP

     -- Transitory account
     UPDATE C_Tax_Acct
        SET EM_OBTVB_T_TRANSITORY_ACCT=Cur_Acct.EM_OBTVB_TRANSITORY_ACCT,
        Updated=now() WHERE C_Tax_Acct.C_AcctSchema_ID=Cur_Acct.C_AcctSchema_ID
        AND EXISTS
        (SELECT * FROM C_Tax_Acct x WHERE x.C_Tax_ID=C_Tax_Acct.C_Tax_ID)
        ;
      
      END LOOP;
END OBTVB_COPY_TRANSITORY_ACCT
]]></body>
    </function>
  </database>
